[arch-commits] Commit in scrnsaverproto/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Jul 15 09:01:41 EDT 2008


    Date: Tuesday, July 15, 2008 @ 09:01:40
  Author: jgc
Revision: 5344

upgpkg: scrnsaverproto 1.1.0-2
    Add license, fix FS#10893

Modified:
  scrnsaverproto/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-15 12:08:43 UTC (rev 5343)
+++ PKGBUILD	2008-07-15 13:01:40 UTC (rev 5344)
@@ -3,16 +3,19 @@
 
 pkgname=scrnsaverproto
 pkgver=1.1.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Screen Saver extension wire protocol"
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
-md5sums=(5d551850e6f4acdf49a13f4eb3a5bbfa)
+md5sums=('5d551850e6f4acdf49a13f4eb3a5bbfa')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1 
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list